%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global         modname ropemacs

Name:           python-%{modname}
Version:        0.7
Release:        13%{?dist}
Summary:        Plugin for performing python refactorings in emacs
Group:          Development/Tools
License:        GPLv2+
URL:            http://rope.sourceforge.net/ropemacs.html
Source0:        http://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Ropemacs is a plugin for performing python refactorings in Emacs. It\
uses rope library and pymacs and supports full rope functionality.

%description %_description

%package -n python2-%{modname}
Summary: %summary
Requires:       python2-ropemode
Requires:       emacs-pymacs
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description

%prep
%setup -q -n %{modname}-%{version}
sed -i "s:'ropemode',::g" setup.py

%build
%py2_build


%install
%py2_install



%files -n python2-%{modname}
%doc COPYING CONTRIBUTORS README.txt docs/*
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7-10
- Python 2 binary package renamed to python2-ropemacs
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 27 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.7-1
- Update to latest upstream (0.7)
- Start using newly released tarballs
- Define python dirs only in el5

* Fri May 13 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6-2
- Rename to python-ropemacs
- Fix BR/R on emacs-pymacs and python-ropemode
- Fix license to GPLv2+

* Fri Oct 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6-1
- Initial version of package
